#
# spec file for package python3-case
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-case
Version:        1.2.2
Release:        1.1
Summary:        Python unittest Utilities
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/celery/case
Source:         https://files.pythonhosted.org/packages/source/c/case/case-%{version}.tar.gz
BuildRequires:  python3-coverage >= 3.0
BuildRequires:  python3-devel
BuildRequires:  python3-nose >= 1.3.7
BuildRequires:  python3-setuptools >= 0.7
BuildRequires:  python3-six
Requires:       python3-nose >= 1.3.7
Requires:       python3-six
BuildArch:      noarch

%description
Python unittest Utilities

%prep
%setup -q -n case-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc Changelog LICENSE README.rst

%{python3_sitelib}/*

%changelog
* Wed Jul 13 2016 arun@gmx.de
- specfile:
  * updated source url
- update to version 1.2.2:
  * "mock.reload_modules": Fixed compatibility with Python 3.
- changes from version 1.2.1:
  * "mock.reload_modules" now re-imports the module and calls
    "reload()" on it.  This fixes issues with side effects not being
    properly reset after context exits.
- changes from version 1.2.0:
  * Adds "mock.mute" decorator to suppress stdout with no return
    value.  Contributed by Tony Narlock.
  * Adds "Mock.on_nth_call_do_raise(excA, excB, n)".  This will make
    the mock raise excA until called n times, in which it will start
    to raise excB.
* Fri Jun 10 2016 toddrme2178@gmail.com
- Fix license
* Thu Jun  9 2016 toddrme2178@gmail.com
- Initial python 3 version.
* Fri Jun  3 2016 tbechtold@suse.com
- Initial packaging (version 1.1.4)
